# YouTube Embed

Responsive YouTube video embed component with customizable options. Supports autoplay, mute, loop, custom start time, and multiple aspect ratios. Includes loading state and error handling.

## Files

| Target | Type |
|--------|------|
| `$modules$/youtube-embed/index.ts` | index |
| `$modules$/youtube-embed/youtube-embed.tsx` | component |
| `$modules$/youtube-embed/lang/en.json` | lang |
| `$modules$/youtube-embed/lang/tr.json` | lang |
| `$modules$/youtube-embed/lang/pt.json` | lang |

## Exports

**Components/Functions:** `YouTubeEmbed`

```typescript
import { YouTubeEmbed } from '@/modules/youtube-embed';
```

## Usage

```
import { YouTubeEmbed } from '@/modules/youtube-embed';

// Basic usage
<YouTubeEmbed videoId="dQw4w9WgXcQ" />

// With all options
<YouTubeEmbed
  videoId="dQw4w9WgXcQ"
  title="Video Title"
  autoplay={false}
  mute={false}
  loop={false}
  controls={true}
  start={30}
  aspectRatio="16/9"
  className="rounded-xl shadow-lg"
/>
```
